%define name  bashstyle-ng
%define version  7.10
%define release %mkrel 1

Summary:      Colorize the bash output and grep matches 
Name:         %{name}
Version:      %{version}
Release:      %{release}
License:      LGPLv3
Group:        Development/Tools
URL:          http://code.google.com/p/bashstyle-ng/ 
Source0:      http://code.google.com/p/bashstyle-ng/%{name}-%{version}.tar.bz2
BuildRoot:   %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: gtk2-devel 
BuildRequires: GConf2-devel 
BuildRequires: gnome-python
BuildRequires: desktop-file-utils
BuildRequires: ncurses-devel
BuildRequires: procps
BuildRequires: python-devel 
Requires: gawk
Requires: bash
Requires: pygtk2.0
Requires: python
Requires: procps
Requires: gnome-python
Requires: ncurses


%description
BashStyle-NG is a graphical Tool for changing the Bash's behaviour and look'n'feel. 
As well as Readline's, Nano's and Vim's. It shipps a huge scriptchain, that is used 
by the styles shipped with BS-NG, but can also be used separately.


%prep
%setup -q 

%build

./configure --disable-static

%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE=1 CACHE_DISABLE=1 KILL_DISABLE=1 %makeinstall_std

desktop-file-install --vendor="" \
   --add-category="X-MandrivaLinux-MoreApplications-Development-Tools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT%{_datadir}/gconf $RPM_BUILD_ROOT%{_sysconfdir}

%define schemas bashstyle bashstyle-deprecated

%find_lang %{name} 

#icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 data/icons/bs-ng.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps
mv $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/*.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %{schemas}
%update_menus

%preun
%preun_uninstall_gconf_schemas %{schemas}


%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_datadir}/doc/bashstyle-ng
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/%{name}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%changelog 
* Sun Mar 07 2010 slick50 <lxgator@gmail.com> 7.10-1pclos2010
- 7.10

* Thu Jan 21 2010 slick50 <lxgator@gmail.com> 7.9.1-1pclos2010
- 7.9.1

* Tue Dec 22 2009 slick50 <lxgator@gmail.com> 7.9-1pclos2010
- initial pkg
